%define name	ggv
%define version	1.1.0

Release:	1.1mdk

Summary:	GNOME PostScript viewer
Name:     	%name
Version: 	%version
License:	GPL
Group:		Office
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Source2:	ggv_mini.xpm.bz2
Source3:	ggv.xpm.bz2
Source4:	ggv_large.xpm.bz2
Patch0:		ggv-1.0.2-buffer.patch.bz2
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bonobo-devel
BuildRequires:	db1-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	ghostscript
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel
BuildRequires:	libxml-devel
BuildRequires:	oaf-devel
BuildRequires:	popt-devel
PreReq:	scrollkeeper
Requires:       ghostscript-module-X

%description
ggv allows you to view PostScript documents, and print ranges
of pages.

%description -l fr
ggv permet de visualiser des documents PostScript. Bas sur GhostView.

%prep
%setup -q
%patch0 -p1 -b .buffer

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%{name}" icon="%{name}.xpm" needs="x11" title="Ggv" longtitle="Gnome Version of ghostview" section="Applications/Publishing"
EOF


mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   
%{update_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
/sbin/ldconfig

%postun
%{clean_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING COPYING-DOCS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/gnome/help/ggv
%{_datadir}/gnome/apps/*/*
%{_datadir}/gnome/ui/*
%{_datadir}/idl/*
%{_datadir}/pixmaps/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_menudir}/*
%{_datadir}/omf/*
%{_datadir}/oaf/*

%changelog
* Sat Oct 12 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.1.0-1.1mdk
- security update

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-1mdk
- Release 1.1.0

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-9mdk
- BuildRequires:    libxml-devel (last one)

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-8mdk
- BuildRequires:	popt-devel

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-7mdk
- BuildRequires:	gdk-pixbuf-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-6mdk
- BuildRequires: gnome-print-devel
- BuildRequires: oaf-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-5mdk
- BuildRequires: db1-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-4mdk
- BuildRequires: bonobo-devel
- removed obselete BuildRequires

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Fix summary (Guillaume Rousse)

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Fix dependency (Michael Rokos)

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0
- Update scrollkeeper database

* Wed Nov 15 2000 dam's <damien@mandrakesoft.com> 0.95-5mdk
- corrected conffile.

* Tue Nov  7 2000 dam's <damien@mandrakesoft.com> 0.95-4mdk
- Mandrake release.

* Wed Oct  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.95-3mdk
- Add BuildRequires
- Embed menu entry
- Change previous bonobo patch to remove bonobo support (broken)
- Clean spec
- Use find_lang macro

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.95-2mdk
- BM + macrozification
- patch bonobo to be built against new bonobo.

* Tue Jun 13 2000 dam's <damien@mandrakesoft.com> 0.95-1mdk
- updated from helix version.
- corrected %post.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.82-4mdk
- Fix problem of path
- Add 32x32 icon

* Wed Apr 19 2000 Daouda Lo <daouda@mandrakesoft.com> 0.82-3mdk
- fix bonobo dependencies 

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.82-2mdk
- Upload both Source and binary files.
- add menu entry 
- add icon 

